Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.web
Class ConfigKeyringHandler

    java.lang.Object
      net.i2p.router.web.FormHandler
          net.i2p.router.web.ConfigKeyringHandler

    public class ConfigKeyringHandler

extends FormHandler

Support additions via B64 Destkey, B64 Desthash, blahblah.i2p, and others supported by ConvertToHash

Field Summary

Fields inherited from class net.i2p.router.web.FormHandler
`_action, _context, _log, _method, _passphrase`

Constructor Summary
`ConfigKeyringHandler()`

Method Summary
`protected void` | `processForm()` Override this to perform the final processing (in turn, adding formNotice and formError messages, etc)
`void` | `setKey(String peer)`
`void` | `setPeer(String peer)`

Methods inherited from class net.i2p.router.web.FormHandler
`_, _, _, addFormError, addFormNotice, getAllMessages, getErrors, getNewNonce, getNotices, setAction, setContextId, setNonce, setPassphrase, storeMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigKeyringHandler

    public ConfigKeyringHandler()

Method Detail

### processForm

    protected void processForm()

  Description copied from class: `FormHandler`
  Override this to perform the final processing (in turn, adding formNotice and formError messages, etc)

  Overrides:
    `processForm` in class `FormHandler`

### setPeer

    public void setPeer(String peer)

### setKey

    public void setKey(String peer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD